PR(1)

NOMBRE
pr - convierte ficheros de texto para imprimirlos

SINOPSIS
pr [+PAGE] [-COLUMN] [-abcdfFmrtv] [-e[in-tab-char[in-tab-width]]] [-h header] [-i[out-tab-char[out-tab-width]]] [-l page-length] [-n[number-separator[digits]]] [-o left-margin] [-s[column-separator]] [-w page-width] [--help] [--version] [file...]

DESCRIPCIÓN
Esta documentación no se mantendrá más y puede que sea inexacta o incompleta. La documentación en formato Texinfo es la fuente autorizada.

Esta página del manual documenta la versión GNU de pr. pr imprime en la salida estándar una copia paginada y, opcionalmente, multicolumna de los ficheros de texto dados en la línea de órdenes, o de la entrada estándar si no se han indicado ficheros o si aparece el nombre de fichero `-'. Los avances de página en la entrada producen saltos de página en la salida.

  OPCIONES

+PAGE
    Empieza imprimiendo en la página PAGE.

-COLUMN
    Imprime COLUMN columnas en sentido vertical. La anchura de las columnas se decrementa automáticamente a la par que COLUMN se aumenta; a menos que se use la opción -w para incrementar también el ancho de página, esta opción puede que corte algunas columnas.

-a  Imprime las columnas a lo ancho de la página en vez de hacia abajo.

-b  Balancea las columnas en la última página.

-c  Imprime los caracteres de control usando la notación "circunflejo-letra" (p.e.: `^G'); Imprime los otros caracteres no imprimibles en notación octal con barra invertida.

-d  La salida será a doble espacio.

-e[in-tab-char[in-tab-width]]
    Expande los tabuladores en la entrada a espacios. El argumento opcional in-tab-char es el carácter de tabulación en la entrada, por defecto el carácter de tabulación estándar. El argumento opcional in-tab-width es la anchura del carácter de tabulación, por defecto 8.

-F, -f
    Para separar las páginas de salida, usa el carácter "avanzar página" ("formfeed") en vez del de "nueva línea" ("new line").

-h header
    Reemplaza en la cabecera el nombre del fichero por la cadena header.

--help
    Imprime el mensaje sobre el uso del comando y termina con un código de estado indicando una ejecución correcta.

-i[out-tab-char[out-tab-width]]
    Reemplaza los espacios con tabuladores en la salida. El argumento opcional out-tab-char es el carácter de tabulación en la salida, por defecto el carácter de tabulación normal. El argumento opcional out-tab-width es el ancho del carácter de tabulación en la salida, por defecto 8.

-l page-length
    Establece la longitud de página a page-length líneas. Por defecto 66. Si page-length es menor que 10, se omiten las cabeceras y pies de página, como si se hubiese dado la opción -t.

-m  Imprime todos los ficheros en paralelo, uno por columna.

-n[number-separator[digits]]
    Precede cada columna con un número de línea; con ficheros en paralelo, precede cada línea con un número de línea. El argumento opcional number-separator es el carácter a imprimir después de cada número, por defecto un tabulador. El argumento opcional digits es el número de dígitos para los números de línea, por defecto 5.

-o left-margin
    Desplaza cada línea con un margen de left-margin espacios de ancho. El ancho total de la página es este desplazamiento mas la anchura establecida con la opción -w.

-r  No imprime un mensaje de advertencia cuando un fichero de los argumentos no se puede abrir. No obstante, el fallo en la apertura del fichero todavía hace que el estado de salida sea diferente de cero.

-s[column-separator]
    Separa las columnas con el carácter simple column-separator, por defecto un carácter de tabulación, en vez de los habituales espacios.

-t  No imprimir las 5 líneas de cabecera ni las 5 líneas de pie de página que normalmente se imprimen en cada página, y no rellenar los finales de las páginas (con líneas en blanco o avances de página).

-v  Imprimir los carácteres no imprimibles en notación octal con barra invertida.

--version
    Imprime la información sobre la versión en la salida estándar y termina.

-w page-width
    Establece la anchura de página a page-width columnas. Por defecto 72.